

/* Global styles */

* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
  }
  
html, body {
  max-width: 100%;
  overflow-x: hidden;
}

  body {
    background: #080808;
    color: #fff;
    scroll-behavior: smooth;
    overflow-x: hidden;
    margin: 0;
  }
  
  /* Header styles */
  .background {
    width: 100%;
    height: 65%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    position: absolute;
    border-radius: 80%;
    bottom: 23%; /* Adjust the value as needed */
    left: 7%; /* Adjust the value as needed */
    transform: translate(20%, 18%);
    animation: pulseBackground 2s ease-in-out infinite;
  }
  
  .circle-container {
    width: 40vw; /* Use 50% of viewport width */
    height: 40vw; /* Use 50% of viewport width for a perfect circle */
    border-radius: 50%;
    overflow: hidden;
    position: absolute;
    bottom: 18%;
    left: 50%;
    transform: translateX(-50%);
    animation: pulseBackground 2s ease-in-out infinite;
}

.first-rounded-image {
    width: 100%;
    height: 100%;
    background-size: cover; /* Adjust how the background image is fitted within the circular container */
    border-radius: 50%; /* Round the sides of the circular image */
    border: 5px solid #858bf2;
}

  
  



  /* PULSING IMAGE */
@-webkit-keyframes pulseBackground {
  0% {
    -webkit-transform: translateX(20%) translateY(18%) scale(1);
    transform: translateX(20%) translateY(18%) scale(1);
  }
  50% {
    -webkit-transform: translateX(20%) translateY(15%) scale(1.05);
    transform: translateX(20%) translateY(15%) scale(1.05);
  }
  100% {
    -webkit-transform: translateX(20%) translateY(18%) scale(1);
    transform: translateX(20%) translateY(18%) scale(1);
  }
}

@keyframes pulseBackground {
  0% {
    -webkit-transform: translateX(20%) translateY(18%) scale(1);
    transform: translateX(20%) translateY(18%) scale(1);
  }
  50% {
    -webkit-transform: translateX(20%) translateY(15%) scale(1.05);
    transform: translateX(20%) translateY(15%) scale(1.05);
  }
  100% {
    -webkit-transform: translateX(20%) translateY(18%) scale(1);
    transform: translateX(20%) translateY(18%) scale(1);
  }
}



  
.logo {
  max-width: 100%;
  height: auto;
  display: block; /* To remove extra space below inline images */
  margin-top: 10px; /* Adjust as needed for top margin */
}

  /* DESKTOP MENU LINKS STYLE */

  .desktop-menu li .home-link {
    color: #858bf2;
  }
  
  .desktop-menu li .about-link {
    color: white;
  }

  .desktop-menu li .portfolio-link {
    color: #858bf2;
  }
  
  .desktop-menu li .services-link {
    color: white;
  }
  
  .desktop-menu li .contact-link {
    color: #858bf2;
  }
  
  nav {
    display: flex;
    align-items: flex-start;
    justify-content: flex-end;
    flex-wrap: wrap;
    position: absolute;
    top: 10px;
    right: 10px;
  }
  
  
  
  nav ul li {
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
  }
  
  nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    position: relative;
  }
  
  nav ul li a::after {
    content: '';
    width: 0;
    height: 3px;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
  }



nav ul li .home-link::after {
  background: white;
}

nav ul li .about-link::after {
  background: #858bf2;
}

nav ul li .portfolio-link::after {
  background: white;
}


nav ul li .services-link::after {
  background: #858bf2;
}


nav ul li .contact-link::after {
  background: white;
}
  
  nav ul li a:hover::after {
    width: 100%;
  }

/* TEXT STYLES */

#header {
  display: flex;
  align-items: center;
}

.header-text {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  text-align: left; /* Center the text horizontally */
}

.header-text p {
  font-size: 2vw; /* Use relative font size for responsiveness */
  margin-bottom: 10px;
}

.animated-text {
  animation: slideInFromLeft 1.5s ease-in-out forwards;
}

.header-text h1 {
  font-size: 5vw; /* Use relative font size for responsiveness */
  margin-top: auto;
  overflow: hidden;
  white-space: nowrap;
  border-right: 2px solid transparent;
  animation: typing 4s steps(40) forwards;
  animation-delay: 1.5s;
  opacity: 0;
}

.header-text h1 span {
  color: #858bf2;
}

.typing-text:nth-child(2) {
  animation-delay: 1s;
  display: inline-block;
}

.typing-text span {
  color: #858bf2;
}

@keyframes slideInFromLeft {
  0% {
      transform: translateX(-120%);
      opacity: 0;
  }
  100% {
      transform: translateX(0);
      opacity: 1;
  }
}

@keyframes typing {
  from {
      width: 0;
      opacity: 0;
  }
  to {
      width: 100%;
      opacity: 1;
  }
}

img {
  width: 50%;
  height: auto;
  display: block;
  margin-top: 35rem; /* Adjust margin for responsiveness */
}


  
  
  
  
  
  


  

  
  /* ------------ ABOUT CSS------------- */


  #about {
    padding: 80px 0;
    color: #ababab;
    margin-top: 20rem;
  }
  
  .row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
  }
  
 
  .col-md-5 {
    flex-basis: 40%;
    margin-top: 1rem;
  }
  
  .col-md-5 img {
    width: 100%;
    border-radius: 15px;
  }
  
  .col-md-7 {
    flex-basis: 55%;
    margin-top: 35rem;
    margin-right: 50px;
  }
  

  .sub-title {
    font-size: 40px;
    font-weight: 600;
    color: white;
  }

  .sub-title span{
    color: #858bf2;
  }
  
  .tab-titles {
    display: flex;
    margin: 20px 0 40px;
    position: relative;
  }
  
  .tab-links {
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
    font-weight: bold;
  }

  .education {
    color: #858bf2
  }

  .fun-fact {
    color: #858bf2
  }

  
  .tab-links::before {
    content: "";
    display: block;
    width: 0;
    height: 2px;
    background-color: #858bf2;
    position: absolute;
    bottom: -4px;
    left: 50%;
    transform: translateX(-50%);
    transition: width 0.3s;
  }
  
  .tab-links:hover::before,
  .tab-links.active-link::before {
    width: 100%;
  }

  
  .tab-contents ul li {
    list-style: none;
    margin: 10px 0;
    margin-left: -30.9px;
  }
  
  .tab-contents ul li span {
    color: #858bf2;
    text-transform: uppercase;
  }
  
  .tab-contents {
    display: none;
  }
  
  
  .tab-contents.active-tab {
    display: block;
  }
  
  #skills i {
    height: 100px;
    width: 100px;
  }
  
  .h4 {
    color: white;
  }
  
  .text-center {
    color: white;
  }

  
  /*-------------PORTFOLIO-----------*/
  #portfolio {
    display: flex;
    text-align: center;
  }
  
  .container {
    padding: 20px;
  }
  
  #portfolio .sub-title {
    font-weight: bold;
    margin: 0;
    padding-bottom: 10px;
  }
  
  .work-list {
    display: flex;
    justify-content: center;
    align-items: center;
  } 
  
  .work {
    padding: 10px;
    position: relative;
    overflow: hidden;
  }
 
   .preview-container {
    position: relative;
    display: inline-block;
  }
  
  .work img {
    width: 50%;
    display: block;
    margin: 0 auto;
    transition: transform 0.3s ease;
  }
  
  .image-container {
    position: relative;
    overflow: hidden;
  }

  
  .overlay {
    position: absolute;
    bottom: -100%;
    left: 25%;
    width: 100%;
    padding: 20px;
    background: rgba(133, 139, 242, 0.9);
    text-align: center;
    transition: bottom 0.3s ease;
    border-radius: 0 0 10px 10px;
  }
  
  .image-container:hover .overlay {
    bottom: 0;
  }
  
  .overlay h3 {
    margin: 0;
    padding: 0;
    font-size: 1.5rem;
    margin-bottom: 10px;
    color: #fff;
  }
  
  .overlay p {
    margin: 0;
    padding: 0;
    font-size: 1rem;
    color: #fff;
  } 
  
  .image-container:hover img {
    transform: scale(0.8); /* You can experiment with different values */
  }
  
  /* Adjust the width of the overlay to match the image */
  .overlay, .image-container:hover .overlay {
    width: 50%;
  }
  
  
/*--------------services--------------*/
#skills {
  margin-bottom: 200px;
}

h2 {
  color: #858bf2;
}


 /* -------------contact me-----------*/
 .contact-container {
  display: flex;
}

.contact-left {
  flex-basis: 35%;
  margin-bottom: 20px;
}

.contact-right {
  flex-basis: 60%;
  margin-top: 20px;
}

.contact-left p {
  margin-top: 30px;
}

.contact-left p i {
  color: #858bf2;
  margin-right: 15px;
  font-size: 25px;
}

.social-icons {
  margin-top: 30px;
}

.social-icons a {
  text-decoration: none;
  font-size: 30px;
  margin-right: 15px;
  color: #ababab;
  display: inline-block;
  transform: 0.5s;
}

.social-icons a:hover {
  color: #858bf2;
  transform: translateY(-5px);
}

.button {
  background-color: #f1f1f1;
  border: 1px solid white;
  border-radius: 8px;
  box-sizing: border-box;
  color: white;
  cursor: pointer;
  font-size: 16px;
  font-weight: 570;
  line-height: 20px;
  margin: 2px;
  outline: none;
  text-transform: uppercase;
  padding: 13px 23px;
  width: auto;
  top: 40px;
}

.button:hover {
  background-position: 0;
  background-image: linear-gradient(90deg, #858bf2, #636aee, #858bf2, #636aee, #858bf2);
  animation: slideBg 2s linear infinite;
}

.button:not(:hover) {
  background-color: rgba(0, 0, 0, 0.2);
}

@keyframes slideBg {
  to {
    background-position: 200px;
  }
}

.contact-right form {
  width: 100%;
}

form input,
form textarea {
  width: 100%;
  border: 0;
  outline: none;
  background: #262626;
  padding: 15px;
  margin: 15px 0;
  color: #fff;
  font-size: 18px;
  border-radius: 6px;
}

.vertical-space {
  margin-top: 10rem;
}

footer {
  width: 100%;
  text-align: center;
  padding: 6px;
  background: #262626;
  font-weight: 300;
  margin-top: 20px;
}

.btn-group {
  display: none;
}

.sub-title {
  color: #858bf2
}

.contact-right input[type="text"],
.contact-right input[type="email"],
.contact-right textarea {
  width: 100%;
  padding: 15px;
  border: 2px solid #858bf2;
  border-radius: 20px;
  font-size: 16px;
  margin-bottom: 20px;
  position: relative;
  transition: box-shadow 0.3s; /* Change the transition property to box-shadow */
}

.contact-right input[type="text"]:focus,
.contact-right input[type="email"]:focus,
.contact-right textarea:focus {
  box-shadow: 0 0 15px #858bf2; /* Change the box-shadow on focus */
  outline: none; /* Remove the default focus outline */
}

.phone-link {
  color: white;
  text-decoration: none;
  transition: color 0.2s ease; /* Adding a smooth color transition */
}

/* CSS for the hover effect */
.phone-link:hover {
  color: #858bf2; /* Change the color to a desired hover color */
  /* Add any additional styles you want for the hover effect here */
}

.email-link {
  color: white;
  text-decoration: none;
  transition: color 0.2s ease; /* Adding a smooth color transition */
}


.email-link:hover {
  color: #858bf2;
}

/* Create the glowing ring effect */
.contact-right input[type="text"]::before,
.contact-right input[type="email"]::before,
.contact-right textarea::before {
  content: '';
  position: absolute;
  top: -5px;
  left: -5px;
  right: -5px;
  bottom: -5px;
  border-radius: 30px;
  box-shadow: 0 0 20px #858bf2; /* Set the box-shadow to create the glowing effect */
  opacity: 1; /* Set the opacity to 1 for a bright glow */
  pointer-events: none; /* Ensure the pseudo-element does not interfere with the input */
}


 /*-------Hamburger menu----------*/
/* Basic styles for the navigation bar */
.navbar {
 display: none;
}

  /*------horizontal line styles--------*/


  .container {
    position: relative;
}

.horizontal-line {
    position: absolute;
    width: 50%;
    height: 1px;
    background-color: #ccc;
}

.top {
    top: 130%;
}

.middle {
  left: 60%;
}

.middle-two {
  right: 60%;
}


.bottom {
    top: 380%;
    left: 60%;
}


  


html.safari .horizontal-line {
display: none;
}

  .hide-hamburger {
    display: none;
  }


/*-----------------Scroll animation----------------*/
.hidden {
  opacity: 0;
  transition: all 1s;
}
.show {
  opacity: 1;
}



@media (prefers-reduced-motion) {
  .hidden {
    transition: none;
  }
}




/*----------LANDSCAPE------------*/
/* Landscape for screen width less than or equal to 844px */
@media only screen and (max-width: 844px) and (orientation: landscape) {
  .horizontal-line {
    display: none;
  }


  .header-text {
    margin-top: 8% !important;
    font-size: 16px !important;
  }


  .logo {
    width: 10% !important;
    height: 20% !important;
    position: absolute;
    left: 5%;
    bottom: 80%;
    border-radius: 0;
  }

  .first-rounded-image {
    width: 100%;
    height: 100%;
    background-size: cover; /* Adjust how the background image is fitted within the circular container */
    border-radius: 50%; /* Round the sides of the circular image */
  }

  .circle-container {
    width: 250px !important;
    height: 250px !important;
    position: absolute;
    bottom: 20% !important;
    left: 60% !important;
    transform: translate(0, 0);
    animation: pulseBackground 2s ease-in-out infinite;
  }

  
}

/* Landscape for screen width between 845px and 1180px (inclusive) */
@media only screen and (min-width: 845px) and (max-width: 1180px) and (orientation: landscape) {
  .horizontal-line {
    display: none !important;
  }


  .header-text {
    margin-top: -3% !important;
    font-size: 16px !important;
  }

  .background {
    top: 30% !important;
    height: 42% !important; /* Adjust the height as needed */
    left: 6% !important;
  }

  .logo {
    width: 13% !important;
    height: 20% !important;
  }

  .col-md-5 {
    flex-basis: 35% !important;
  }

  .col-md-5 img {
    width: 100% !important;
    border-radius: 15px !important;
  }

  #about .col-md-7 {
    flex-basis: 55% !important;
    margin-top: 35rem !important;
    margin-right: 50px !important;
  }
}



/*------------CSS for small Screens-------------*/


@media only screen and (max-width: 600px) {
 

  
  .circle-container {
    width: 80vw; /* Adjust the width for smaller screens */
    height: 80vw; /* Adjust the height for smaller screens */
    bottom: 8%; /* Adjust the vertical position */
    left: -5%;
}


.horizontal-line {
  display: none;
}

.preview-container .overlay p {
  display: none;
}

.preview-container .overlay h3 {
  font-size: 15px; /* You can adjust the font size as needed */
}

/* Make the image a little bigger on mobile devices */
.preview-container img {
  max-width: 100%; /* Ensure the image doesn't exceed its container */
  height: auto;
}

.overlay {
  bottom: 0; /* Show the overlay text at the bottom */
}

.image-container img {
  width: 100%; /* Make the image fill its container */
  height: auto; /* Maintain the aspect ratio */
  transform: none; /* Remove the scaling effect on small devices */
}

/* Adjust the width of the overlay to match the image */
.overlay {
 display: none;
}



 .header-text {
  top: 40%; /* Adjust the top positioning for smaller screens */
  text-align: center;
}

.header-text p {
  font-size: 4vw; /* Adjust font size for smaller screens */
}

.animated-text {
  animation: none; /* Disable animation for smaller screens */
}

.header-text h1 {
  font-size: 7vw; /* Adjust font size for smaller screens */
}

img {
  margin-top: 10rem; /* Adjust margin for smaller screens */
}

  .desktop-menu {
    display: none;
  }

#about {
  padding-top: 40px;
}

.container.hidden {
  margin-top: -20px;
}

  .sub-title {
    font-size: 40px;
  }

  .col-md-5, .col-md-7 {
    flex-basis: 100%;
  }

 #about .col-md-5 {
  order: 2;
  text-align: center;
}

#about .col-md-7 {
  order: 1;
  text-align: center;
} 



.col-md-7 .sub-title {
  margin-bottom: 0; /* Remove margin at the bottom of "About Me" text */
}

.col-md-5 .rounded-image {
  margin-top: 0; /* Remove margin at the top of the image */
}

.tab-titles {
  font-size: smaller;
}



#portfolio.p {
  display: none;
}

/* Basic styles for the navigation bar */
.navbar {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  position: absolute;
  top: 0;
  right: 0;
  padding: 10px;
  background-color: none;
  width: 100%;
  z-index: 999; /* Add a z-index to ensure the navbar stays on top */
}

.menu {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  position: absolute;
  top: 100%;
  right: 0;
  background-color: #858bf2;
  width: 100%;
}


.menu li {
  display: block;
  margin: 10px;
}

.menu a {
  color: white;
  text-decoration: none;
}

/* Hamburger icon styles */


.hamburger-menu {
  display: flex; /* Display the bars as flex items */
  flex-direction: column; /* Display the bars vertically */
  justify-content: space-between; /* Add space between the bars */
  cursor: pointer;
}

.bar {
  width: 25px;
  height: 3px;
  background-color: white;
  margin: 5px 0; /* Adjust the margin to display all three lines */
}


.menu.show {
  display: flex; /* Show the menu when the hamburger menu is clicked */
}

.menu li {
  margin: 10px 0; /* Optional: Add some spacing between the links */
}

/* Adjust the styles for the mobile layout */
.navbar {
  padding: 10px; /* Optional: You can adjust the padding if needed */
}

}


/*--------MEDIUM SCREENS---------*/

@media only screen and (min-width: 601px) and (max-width: 911px) {
 
  .horizontal-line {
    display: none;
  }
  
.navbar {
  display: none;
}

.desktop-menu {
  display: block;
}


.circle-container {
  width: 500px;
  height: 500px;
  position: absolute;
  bottom: 10%;
  left: 23%;
  transform: translate(0, 0);
  animation: pulseBackground 2s ease-in-out infinite;
}

  .header-text {
    margin-top: -20%;
    font-size: 16px;
  }

  .header-text h1 {
    font-size: 30px;
  }

  .header-text p {
    font-size: 15px;
  }


  .col-md-3 {
    display: flex;
    align-items: center;
}

.logo {
    max-width: 200px; /* Adjust the logo width as needed */
    margin-top: 0; /* Reset margin for top */
    margin-right: 20px; /* Add space between logo and menu */
}



  .sub-title {
    font-size: 40px;
  }

  .col-md-5, .col-md-7 {
    flex-basis: 100%;
  }

 #about .col-md-5 {
  order: 2;
  text-align: center;
}

#about .col-md-7 {
  order: 1;
  text-align: center;
} 

.col-md-7 .sub-title {
  margin-bottom: 0;
  margin-top: 300px; /* Remove margin at the bottom of "About Me" text */

}

.col-md-5 .rounded-image {
  margin-top: 0; /* Remove margin at the top of the image */
}

.tab-titles {
  display: flex;
  justify-content: center; /* Horizontally center the items */
}

.preview-container img {
  max-width: 100%; /* Ensure the image doesn't exceed its container */
  height: auto;
}

.overlay {
  bottom: 0; /* Show the overlay text at the bottom */
}

.image-container img {
  width: 100%; /* Make the image fill its container */
  height: auto; /* Maintain the aspect ratio */
  transform: none; /* Remove the scaling effect on small devices */
}

/* Adjust the width of the overlay to match the image */
.overlay {
  width: 100%;
  left: 0; /* Center the overlay */
}



}

@media only screen and (width: 912px) and (height: 1368px) {
  
  .horizontal-line {
    display: none;
  }
  

  .header-text {
    margin-top: -20%;
    font-size: 16px;
  }

  .header-text h1 {
    font-size: 30px;
  }

  .header-text p {
    font-size: 15px;
  }

 
  .col-md-3 {
    display: flex;
    align-items: center;
}

.logo {
    max-width: 500px; /* Adjust the logo width as needed */
    margin-top: 0; /* Reset margin for top */
    margin-right: 20px; /* Add space between logo and menu */
}

  .btn-group {
    display: block;
    margin: 25px;
    float: right;
  }

  .desktop-menu {
    display: none;
  }

  .sub-title {
    font-size: 40px;
  }

  .col-md-5, .col-md-7 {
    flex-basis: 100%;
  }

 #about .col-md-5 {
  order: 2;
}

#about .col-md-7 {
  order: 1;
  text-align: center;
} 

.col-md-7 .sub-title {
  margin-bottom: 0;
  margin-top: 600px; /* Remove margin at the bottom of "About Me" text */
  text-align: center;
}

.col-md-5 .rounded-image {
  margin-top: 0; /* Remove margin at the top of the image */
}
}

@media only screen and (min-width: 1600px) {
#about .container {
  margin-top: 200px;
}

.top {
  top: 100%;
}

.middle {
left: 60%;
top: 140%;
}

.middle-two {
right: 60%;
}


.bottom {
  top: 240%;
  left: 60%;
}


}





